petsc-3.15.0 2021-03-30
Report Typos and Errors

# PCMGGetAdaptCR

Get the flag to monitor coarse space quality using an auxiliary solve with compatible relaxation.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGGetAdaptCR(PC pc, PetscBool *cr)

Not collective

### Input Parameter

| pc | - the multigrid context

### Output Parameter

| cr | - flag for compatible relaxaion

### Keywords

MG, set, Galerkin

### See Also

PCMGSetAdaptCR(), PCMGGetAdaptInterpolation(), PCMGSetGalerkin()

### Level

intermediate

### Location

src/ksp/pc/impls/mg/mg.c

### Implementations

PCMGGetAdaptCR_MG in src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages